digiKam Developer Documentation: Digikam::ThumbsDb Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Friends | List of all members
Digikam::ThumbsDb Class Reference

## Public Member Functions
QList< int > | findAll ()
| Returns the thumbnail ids of all thumbnails in the database.
ThumbsDbInfo | findByCustomIdentifier (const QString &id)
ThumbsDbInfo | findByFilePath (const QString &path)
ThumbsDbInfo | findByFilePath (const QString &path, const QString &uniqueHash)
| This is findByFilePath with extra security: Pass the uniqueHash which you have.
ThumbsDbInfo | findByHash (const QString &uniqueHash, qlonglong fileSize)
QHash< QString, int > | getFilePathsWithThumbnail ()
QString | getLegacySetting (const QString &keyword)
QString | getSetting (const QString &keyword)
BdEngineBackend::QueryState | insertCustomIdentifier (const QString &id, int thumbId)
BdEngineBackend::QueryState | insertFilePath (const QString &path, int thumbId)
BdEngineBackend::QueryState | insertThumbnail (const ThumbsDbInfo &info, QVariant *const lastInsertId=nullptr)
BdEngineBackend::QueryState | insertUniqueHash (const QString &uniqueHash, qlonglong fileSize, int thumbId)
bool | integrityCheck ()
| Returns true if the integrity of the database is preserved.
BdEngineBackend::QueryState | remove (int thumbId)
BdEngineBackend::QueryState | removeByCustomIdentifier (const QString &id)
BdEngineBackend::QueryState | removeByFilePath (const QString &path)
| Removes thumbnail data associated to the given file path.
BdEngineBackend::QueryState | removeByUniqueHash (const QString &uniqueHash, qlonglong fileSize)
| Removes thumbnail data associated to the given uniqueHash/fileSize.
BdEngineBackend::QueryState | renameByFilePath (const QString &oldPath, const QString &newPath)
BdEngineBackend::QueryState | replaceThumbnail (const ThumbsDbInfo &info)
void | replaceUniqueHash (const QString &oldUniqueHash, int oldFileSize, const QString &newUniqueHash, int newFileSize)
bool | setSetting (const QString &keyword, const QString &value)
BdEngineBackend::QueryState | updateModificationDate (int thumbId, const QDateTime &modificationDate)
void | vacuum ()
| Shrinks the database.

## Friends
class | ThumbsDbAccess

## Member Function Documentation

## ◆ findByFilePath()

ThumbsDbInfo Digikam::ThumbsDb::findByFilePath | ( | const QString & | path,
|  | const QString & | uniqueHash
| ) |  |

If an entry is found by file path, and the entry is referenced by any uniqueHash, which is different from the given hash, a null info is returned. If uniqueHash is null, equivalent to the simple findByFilePath.